multi-tenant-core/falcone-util and Grails 2

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

multi-tenant-core/falcone-util and Grails 2

Stefan Armbruster
Hi,

are there currently any efforts to make the
multi-tenant-core/falcone-util plugin compatible with Grails 2?
I tried to migrate a 1.3.7 app to 2.0.0-SNAPSHOT and got a compile
error:

.../plugins/falcone-util-1.0/src/java/com/infusion/util/domain/event/hibernate/InterceptableSession.java:31: com.infusion.util.domain.event.hibernate.InterceptableSession is not abstract and does not override abstract method getLoadQueryInfluencers() in org.hibernate.engine.SessionImplementor

Regards,
Stefan


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

scryan
I have been looking at how to convert the multi tenant plugin to run in the Grails 2 environment.  It seems the best course of action is to leverage the work done on the project by Kim Betti and Lucas Teixeira
 http://www.grails.org/plugin/multi-tenant-single-db which is the single tenant mode replacement for the original plugin.  I would like to coordinate with others to make this work in the 2.0 environment  and use that as the base for the single tenant capability.  My main passion is the multi tenant functionality and I am looking at how to port that over to 2.0 as well.  i would hope we could make it less invasive than the original one and leverage more of the native 2.0 capability.    While all of us are busy I hope we can coordinate a meeting next week and at least publish a plan for the direction of the plugin.  I would encourage other users to provide input and talent in assisting with the conversion.   I hope also to publish a sample application to demonstrate how to use and configure the plugin.  I know this is not the exact answer you are seeking but there is interest in converting the plugin to run in the 2.0 environment it is just a crazy time with most of us swamped with income generating work.

The source code it on github so if you find a way to make the current plugin work in the 2.0 environment please feel free to fork off the project and contribute that solution back to the code base.


Scott Ryan
CTO
Denver, Colorado  USA
(303) 263-3044

On Sep 4, 2011, at 2:30 PM, Stefan Armbruster wrote:

Hi,

are there currently any efforts to make the
multi-tenant-core/falcone-util plugin compatible with Grails 2?
I tried to migrate a 1.3.7 app to 2.0.0-SNAPSHOT and got a compile
error:

.../plugins/falcone-util-1.0/src/java/com/infusion/util/domain/event/hibernate/InterceptableSession.java:31: com.infusion.util.domain.event.hibernate.InterceptableSession is not abstract and does not override abstract method getLoadQueryInfluencers() in org.hibernate.engine.SessionImplementor

Regards,
Stefan


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email



Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

skurt
+1 from me and if there is a chacne to help, I would do so!

Am 05.09.2011 17:14, schrieb Scott Ryan:

> I have been looking at how to convert the multi tenant plugin to run in
> the Grails 2 environment. It seems the best course of action is to
> leverage the work done on the project by Kim Betti and Lucas Teixeira
> http://www.grails.org/plugin/multi-tenant-single-db which is the single
> tenant mode replacement for the original plugin. I would like to
> coordinate with others to make this work in the 2.0 environment and use
> that as the base for the single tenant capability. My main passion is
> the multi tenant functionality and I am looking at how to port that over
> to 2.0 as well. i would hope we could make it less invasive than the
> original one and leverage more of the native 2.0 capability. While all
> of us are busy I hope we can coordinate a meeting next week and at least
> publish a plan for the direction of the plugin. I would encourage other
> users to provide input and talent in assisting with the conversion. I
> hope also to publish a sample application to demonstrate how to use and
> configure the plugin. I know this is not the exact answer you are
> seeking but there is interest in converting the plugin to run in the 2.0
> environment it is just a crazy time with most of us swamped with income
> generating work.
>
> The source code it on github so if you find a way to make the current
> plugin work in the 2.0 environment please feel free to fork off the
> project and contribute that solution back to the code base.
>
>
> *Scott Ryan*
> CTO
> Soaring Eagle LLC <http://www.soaringeagleco.com>
> Denver, Colorado USA
> [hidden email] <mailto:[hidden email]>
> (303) 263-3044
> Find me on the Web Here <http://itsmyurls.com/scryan7371>
>
> On Sep 4, 2011, at 2:30 PM, Stefan Armbruster wrote:
>
>> Hi,
>>
>> are there currently any efforts to make the
>> multi-tenant-core/falcone-util plugin compatible with Grails 2?
>> I tried to migrate a 1.3.7 app to 2.0.0-SNAPSHOT and got a compile
>> error:
>>
>> .../plugins/falcone-util-1.0/src/java/com/infusion/util/domain/event/hibernate/InterceptableSession.java:31:
>> com.infusion.util.domain.event.hibernate.InterceptableSession is not
>> abstract and does not override abstract method
>> getLoadQueryInfluencers() in org.hibernate.engine.SessionImplementor
>>
>> Regards,
>> Stefan
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>> http://xircles.codehaus.org/manage_email
>>
>>
>

--
Geschäftsführer (CEO)

Shopotainment by
Haiku Internet GmbH
Schlegelstraße 26
10115 Berlin

Tel.: +49 30 868702020
Fax: +49 30 57708224
Mobil: +49 179 7923088
E-Mail: [hidden email]
http://www.shopotainment.de
http://facebook.com/shopotainment
http://twitter.com/shopotainment

Handelsregister: HRB 126354 B
Amtsgericht Berlin-Charlottenburg
Geschäftsführung:
Adrian Haß, Sebastian Kurt

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

hariharan
+1 from me too.

multi-tenant-core plugin is only one of its kind and any development on porting it to grails 2 is highly appreciated
Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

seppkurt
any effort on this? someone using multi-tenant-core with grails 2.0?
thanks sebastian
Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

kostia
In reply to this post by scryan
Hi all,

I am using this plugin also.  I just want to know, maybe someone have some solution?

Any news?

Thanks,
Kostia
Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

gatherer
In reply to this post by seppkurt
What about multi-tenant-single-db?

Is it grails 2.0 compatible? Is it a drop-in replacement for multi-tenant-core?
Reply | Threaded
Open this post in threaded view
|

Re: multi-tenant-core/falcone-util and Grails 2

Stefan Armbruster
multi-tenant-single-db works with Grails 2, multi-tenant-core does IMHO
not. As far as I remember there are code changes required when moving
from multi-tenant-core -> multi-tenant-single-db, see
http://multi-tenant.github.com/grails-multi-tenant-single-db/docs/v0.8.2/guide/index.html

Regards,
Stefan
Am 21.05.2012 13:01, schrieb gatherer:

> What about multi-tenant-single-db?
>
> Is it grails 2.0 compatible? Is it a drop-in replacement for
> multi-tenant-core?
>
> --
> View this message in context: http://grails.1312388.n4.nabble.com/multi-tenant-core-falcone-util-and-Grails-2-tp3789933p4628734.html
> Sent from the Grails - user mailing list archive at Nabble.com.
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>     http://xircles.codehaus.org/manage_email
>
>



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email